Edit button toggle not processed if qgis is busy
Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 15883

Description

Steps to reproduce:

 1. Have an expensive layer loaded (a postgis view using a chain of st_buffer with positive and negative values, maybe)

 2. Load another layer (linear, I was using)

 3. Enable snapping option, requiring snapping on both the above layers

 4. Enter editing mode in the linear layer

 5. Request moving a vertex

 6. Verify that the move takes a LOT of time. CPU should be spinning, you shouldn't see the move on the canvas (yet). The cursor spins

and changes shape when you move from canvas to menu bar. If this is not happening try better the steps before.

 7. While the CPU is spinning, click on the Edit button again. You should NOT see the button immediately rendered as depressed because

qgis is still busy.

 8. Wait for the hard qgis task to complete. At this point you should see the vertex moved. BUT:

Expected behavior:

 - QGIS asks you to Save changes

Obtained behavior:

 - QGIS doesn't ask you anything.

 - The Edit button is depressed

 - The layer being edited has the "edit" icon in the layer manager.

History

#1 - 2012-12-12 11:19 PM - ramon .

I think this is more general than just the edit button. For example, I routinely encounter something very like this if I'm zooming around an image and

selecting the pan tool while QGIS is thinking, results in the pan tool not being selected once QGIS stops thinking.

A related, but maybe not quite the same one (which is rarer) is if I have a vector layer I'm editing over a raster. Zoom in on the raster, select Add Feature

while QGIS is thinking, and usually the Add Feature bit is ignored, and I still have a zoom tool. Occassionaly, the Add Feature is depressed, but I have a

mouse cusor that looks and works like a zoom tool.

#2 - 2017-05-01 01:09 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2019-03-09 04:04 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed
End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
